model= 'FT-2135';
L=340;
W=80;
H=255;


skleika=20;
klapan=30;
CrLen=2;
dimensions=model+' '+L+' x '+W+' x '+H;

//////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////
conv=2.834646;
obr=5*conv;
L*=conv;
H*=conv;
W*=conv;
skleika*=conv;
klapan*=conv;
CrLen*=conv;
all_w=skleika+L+W+L+W+obr;
all_h=obr+H+(W/2)+obr;
//$.bp()

Doc = documents.add(DocumentColorSpace.CMYK,all_w,all_h);

//     
newCMYKColor = new CMYKColor();
newCMYKColor.black = 20;
newCMYKColor.cyan = 0;
newCMYKColor.magenta = 0;
newCMYKColor.yellow = 0;
var newColor = new Color();
newColor.cmyk = newCMYKColor;

newCMYKColor = new CMYKColor();
newCMYKColor.black = 100;
newCMYKColor.cyan = 100;
newCMYKColor.magenta = 100;
newCMYKColor.yellow = 100;
var allChan = new Color();
allChan.cmyk = newCMYKColor;

Doc.defaultFilled=false;
Doc.defaultStroked=false;

Artwork=Doc.layers.add();
Artwork.name="Artwork";
Doc.layers[1].remove();

//   
Text=activeDocument.textArtItems.add();
Text.contents=dimensions;
Ran=Text.textRange();
Ran.size=55;
tRan=Text.textRange();
tPar=tRan.paragraphs[0];
tPar.justification=3;
Text.top=activeDocument.height;
Text.left=skleika+L+obr+obr;
disDem=W-(obr*4);
curW=Text.width;
Text.width=disDem;
Text.height*=disDem/curW;

// 

Obj=Doc.pathItems.add();
Obj.setEntirePath(Array(Array(0,0),Array(0,obr+H+obr),
	Array(skleika-obr,obr+H+obr), Array(skleika-obr,all_h),
	Array(skleika+L+obr,all_h), Array(skleika+L+obr,obr+H+obr),
	Array(skleika+L+W-obr,obr+H+obr), Array(skleika+L+W-obr,all_h),
	Array(skleika+L+W+L+obr,all_h), Array(skleika+L+W+L+obr,obr+H+obr),
	Array(all_w,obr+H+obr),Array(all_w,0),));
Obj.closed=true;
Obj.fillColor=newColor;


Crease=Doc.layers.add();
Crease.name="Crease";

Cut=Doc.layers.add();
Cut.name="Cut";


//  

Obj=Doc.pathItems.add();
Obj.setEntirePath(Array(Array(0,obr),Array(0,obr+H),
	Array(skleika,obr+H), Array(skleika,all_h-obr),
	Array(skleika+L,all_h-obr), Array(skleika+L,obr+H),
	Array(skleika+L+W,obr+H), Array(skleika+L+W,all_h-obr),
	Array(skleika+L+W+L,all_h-obr), Array(skleika+L+W+L,obr+H),
	Array(all_w-obr,obr+H),Array(all_w-obr,obr),));
Obj.closed=true;
Obj.guides=true;
Obj.moveToEnd(Doc.layers["Cut"]);

//  

function NewGuide(Gui,x,y,x1,y1){
	Gui=Doc.pathItems.add();	
	Gui.setEntirePath(Array(Array(x,y),Array(x1,y1)));
	Gui.guides=true;
	Gui.moveToEnd(Doc.layers["Crease"]);
};

NewGuide("Gh1",skleika,obr+H,skleika+L,obr+H);
NewGuide("Gh2",skleika+L+W,obr+H,skleika+L+W+L,obr+H);

NewGuide("Gv1",skleika,obr+H,skleika,0);
NewGuide("Gv2",skleika+L,obr+H,skleika+L,0);
NewGuide("Gv3",skleika+L+W,obr+H,skleika+L+W,0);
NewGuide("Gv4",skleika+L+W+L,obr+H,skleika+L+W+L,0);

// 

CROPS=Doc.layers.add();
CROPS.name="CROPS";

function NewCrop(Cr,x,y,x1,y1){	
	Cr=Doc.pathItems.add();
	Cr.setEntirePath(Array(Array(x,y),Array(x1,y1)));
	Cr.strokeColor=allChan;
	Cr.strokeWidth=0.3;
	Cr.moveToEnd(Doc.layers["CROPS"]);
};

NewCrop("Sh1",0,all_h-obr,0+CrLen,all_h-obr);
	NewCrop("Sh2",all_w-CrLen,all_h-obr,all_w,all_h-obr);
NewCrop("Sh3",0,obr+H,0+CrLen,obr+H);
	NewCrop("Sh4",all_w-CrLen,obr+H,all_w,obr+H);
NewCrop("Sh5",0,obr,0+CrLen,obr);
	NewCrop("Sh6",all_w-CrLen,obr,all_w,obr);

NewCrop("Sv1",skleika,all_h,skleika,all_h-CrLen);
	NewCrop("Sv2",skleika,0+CrLen,skleika,0);
NewCrop("Sv3",skleika+L,all_h,skleika+L,all_h-CrLen);
	NewCrop("Sv4",skleika+L,0+CrLen,skleika+L,0);
NewCrop("Sv5",skleika+L+W,all_h,skleika+L+W,all_h-CrLen);
	NewCrop("Sv6",skleika+L+W,0+CrLen,skleika+L+W,0);
NewCrop("Sv7",skleika+L+W+L,all_h,skleika+L+W+L,all_h-CrLen);
	NewCrop("Sv8",skleika+L+W+L,0+CrLen,skleika+L+W+L,0);
NewCrop("Sv9",all_w-obr,all_h,all_w-obr,all_h-CrLen);
	NewCrop("Sv10",all_w-obr,0+CrLen,all_w-obr,0);

CROPS.locked=true;

Doc.activeLayer=Doc.layers["Artwork"];